package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsInstrumentMaintenance;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0检验仪器维护登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
public interface IJsInstrumentMaintenanceService extends IService<JsInstrumentMaintenance> {

    AjaxResult add(JsInstrumentMaintenance deviceMaintenance);

    AjaxResult edit(JsInstrumentMaintenance deviceMaintenance);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String deviceNum, String deviceName);

    AjaxResult listAll();
}
